<div class="card">
    <div class="card-header">
        <div class="page-header-title">
            <h4>List Glossaries</h4>
        </div>
    </div>
    <div class="card-block">
        <div class="dt-responsive dt-bootstrap4 row p-20">
            <div class="col-md-10 col-xl-10 form-group text-left"></div>
            <div class="col-md-2 col-xl-2 form-group text-right">
                <!-- <button type="button" [routerLink]="['/admin/language/add-language']" class="btn btn-primary btn-md text-center">
                    <i class="icofont icofont-ui-add"></i> Add Language
                </button> -->
            </div>
            <div class="col-xs-12 col-sm-12 col-sm-12 col-md-6">
                <div>
                    <label class="label-control">{{'general.show' | translate}}
                        <select class="form-control input-sm full-data-show-entry" [(ngModel)]="rowsOnPage">
                            <option [ngValue]="10">10</option>
                            <option [ngValue]="25">25</option>
                            <option [ngValue]="50">50</option>
                            <option [ngValue]="100">100</option>
                        </select>
                        {{'general.entries' | translate}}
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-6">
                <div class="text-right">
                    <label>{{'general.search' | translate}}:
                        <input type="search" [(ngModel)]="filterQuery" class="form-control input-sm full-data-search">
                    </label>
                </div>
            </div>
            <div class="col-xs-12 col-sm-12 col-md-12" style="overflow-x:auto;">
                <table class="table table-striped table-bordered table-responsive full-data-table text-center pull-center" [mfData]="data"
                    #mf="mfDataTable" [mfRowsOnPage]="rowsOnPage" [(mfSortBy)]="sortBy" [(mfSortOrder)]="sortOrder">
                    <thead>
                        <tr>
                            <th width="50%">
                                <mfDefaultSorter by="glossaryId">ID Glossaries</mfDefaultSorter>
                            </th>
                            <th width="50%">
                                <mfDefaultSorter by="glossaryTerm">Term Glossaries</mfDefaultSorter>
                            </th>
                            <th width="10%" class="text-center">Aksi</th>
                        </tr>
                    </thead>
                    <tbody *ngIf="data!=null && data!=''">
                        <tr *ngFor="let item of mf.data">
                            <td>{{item.glossaryId}}</td>
                            <td>{{item.glossaryTerm}}</td>
                            <a [routerLink]="['/coba2-detail/',item.glossaryId]" class="m-r-15 text-muted f-18" ngbTooltip="Lihat"><i class="icofont icofont-eye-alt"></i></a>
                        </tr>
                    </tbody>
                    <tfoot>
                        <tr *ngIf="data!=null">
                            <td colspan="2">
                                <mfBootstrapPaginator class="pagination-main f-right"></mfBootstrapPaginator>
                            </td>
                        </tr>
                        <tr *ngIf="data==null">
                            <td colspan="2" class="text-center">Loading ...</td>
                        </tr>
                        <tr *ngIf="data==''">
                            <td colspan="2" class="text-center">Data Kosong</td>
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>